GeoDatabase library v9 to access SDE database v10

396
1
07-13-2012 01:57 AM
Highlighted
Occasional Contributor
I have a development created using version 9 NET libraries and now I'm using it to access a version 10 SDE database.
It doesn't seem to work and it reports an error when trying to access the database. So my question here is whether I can use ESRI.ArcGIS.GeoDatabase library from version 9 SDK to access a version 10 SDE database.

Any help will be welcome.
Reply
0 Kudos
1 Reply
Highlighted
New Contributor II
In general, my understanding is that it will not be possible to access an SDE geodatabase at the ArcGIS 10.0 level from an ArcGIS 9 client application.

Please see the Help topic below.

Client and geodatabase compatibility
http://help.arcgis.com/en/arcgisdesktop/10.0/help/index.html#//003n00000008000000.htm

One of the statements from that topic is:
"Previous releases of ArcGIS clients cannot connect to and use geodatabases created with later versions of ArcGIS."

  I hope this helps.

Scott
Reply
0 Kudos